PSIXN(3)

SYNOPSIS
FUNCTION PSIXN (N)

NAME
psixn - Subsidiary to EXINT

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (PSIXN-S, DPSIXN-D)

AUTHOR
Amos, D. E., (SNLA)

DESCRIPTION
This subroutine returns values of PSI(X)=derivative of log GAMMA(X), X .GT. 0.0 at integer arguments. A table look-up is performed for N .LE. 100, and the asymptotic expansion is evaluated for N .GT. 100.

SEE ALSO
EXINT

ROUTINES CALLED
R1MACH

REVISION HISTORY (YYMMDD)
800501 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910722 Updated AUTHOR section. (ALS)